All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class ChangeHistoryItem

    com.sas.iquery.metadata.business.ChangeHistoryItem

All Implemented Interfaces:
  Base, ModelItem, UsabilityInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.util.EventListener

    public class ChangeHistoryItem

Contains a single piece of history about a change that was made.

Field Summary

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Method Summary
`java.lang.String` | `getDescription()` Returns description of change.
`java.util.Date` | `getTimestamp()` Return time stamp of change.
`java.lang.String` | `getUserName()` Returns user name making change.
`void` | `setDescription(java.lang.String description)` Set description of change.
`void` | `setUserName(java.lang.String userName)` Set user name making change.

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Method Detail

*** This method is subject to change. ***

### getTimestamp

    public java.util.Date getTimestamp()

  Return time stamp of change.

  Returns:
    time stamp of change.

*** This method is subject to change. ***

### getUserName

    public java.lang.String getUserName()

  Returns user name making change.

  Returns:
    user name

*** This method is subject to change. ***

### setUserName

    public void setUserName(java.lang.String userName)

  Set user name making change.

  Parameters:
    `userName` - name making change

*** This method is subject to change. ***

### getDescription

    public java.lang.String getDescription()

  Returns description of change.

  Returns:
    description of change

*** This method is subject to change. ***

### setDescription

    public void setDescription(java.lang.String description)

  Set description of change.

  Parameters:
    `description` - of change

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.